Ubuntu

Ambiance sub-menus light like Radiance after latest light-themes update.

Reported by Jordon Bedwell on 2012-02-03
640
This bug affects 127 people
Affects Status Importance Assigned to Milestone
Unity
Undecided
Unassigned
light-themes
Invalid
Undecided
Unassigned
light-themes (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

After the latest light-themes update today the menus for Ambiance are light as if they actually belong to Radiance. Some icons also end up having a orange box as a background as well but that's an entirely different bug.

Distributor ID: Ubuntu
Description: Ubuntu precise (development branch)
Release: 12.04
Codename: precise

Jordon Bedwell (envygeeks) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in light-themes (Ubuntu):
status: New → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report. Confirmed with light-themes 0.1.8.27

Changed in light-themes (Ubuntu Precise):
importance: Undecided → High
status: Confirmed → Triaged
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
tags: added: regression-release rls-mgr-p-tracking
tags: added: precise
Adolfo Jayme (fitoschido) wrote :

I couldn't reproduce this issue as seen in your screenshot. When I click in an indicator or global menu item, the menus are dark (as always). The only menus that are bright for me are the in-app ones, so I didn't see this change as a bug.

Nathan Dyer (nathandyer) wrote :

I can confirm the bug on two of my machines. I uploaded a video to show what it looks like: http://www.youtube.com/watch?v=ncvJX4bzMG8

Jordon Bedwell (envygeeks) wrote :

@fitoschido I don't quite understand what you are on about? You experience the bug (but not in the indicator but in other menus -- not realising that I /didn't/ imply it only happens to indicator) yet you don't acknowledge this as a bug? Or am I missing something entirely in your statement?

Adolfo Jayme (fitoschido) wrote :

@envygeeks Exactly, I didn't acknowledge the change as a bug because I understood that as a valid (and logic!) design decision. For me, the bug resides in the indicators rendered bright, not the menus being bright.

Doug McMahon (mc3man) wrote :

"I didn't acknowledge the change as a bug because I understood that as a valid (and logic!) design decision."
If true it's unfortunate that the changelog didn't mention other than a "new snapshot"
Many users will see this as a bug & due to the limitations of theme adjustments won't be thrilled.
(personally don't like the change at all & will adjust my Ambiance back to dark window with light text if this stands but that's beside the point

Mace (xmacex) wrote :

I had this too, but it's fixed now (except the volume slider in the sound menu). Thanks.

Hernando Torque (htorque) wrote :

I see this in the volume slider, gedit's context menu, and Nautilus (including the desktop).

Jordon Bedwell (envygeeks) wrote :

@fitoschido There is a difference between bright and white (and when it comes to good monitors -- like the one I have -- you can see every step of black they use -- really well.) I would not personally see a white menu or even a 'bright' menu on a black theme any valid design decision, it's bad enough that the gradients changed in 11.04 and look bad now (IMNSHO, but not bad enough to make me complain) and that the orange is not dark enough on the blacks they use but now you want to justify a white or bright menu? You can't justify such a change like you can a badly selected orange or a badly made gradient.

Though, I wouldn't fight them making a high-contrast Ambiance and a low-contrast ambiance, one that well make menus brighter and uses a bad orange and one that lowers the tones of the menus and makes the orange darker and more subtle on the blacks and even uses a subtle gray for the nautilus background (making it less eye straining.) I wish I knew enough about GTK theming to do it and contribute to this area, but alas no time :(

Adolfo Jayme (fitoschido) wrote :

As in every design/eyecandy bugs, all elements really depend in if the user likes it or not, so I always try to avoid words like 'bad' --that's your taste and I respect it. Anyway, we're getting off-topic -- let's see what direction will this bug take :)

Sam_ (and-sam) wrote :

Not affected.
light-themes:
  Installed: 0.1.8.27.1
  Candidate: 0.1.8.27.1
  Version table:
 *** 0.1.8.27.1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status

half-affected. It is still a problem with sub-menus, see screenshot.

summary: - Ambiance menus light like Radiance after latest light-themes update.
+ Ambiance sub-menus light like Radiance after latest light-themes update.
Hernando Torque (htorque) wrote :

Not with all submenus, though (e.g.: bad in GIMP, Gedit; good in Firefox).

Doug McMahon (mc3man) wrote :

Additionally what seems borked is sudo windows that have menus in the app window like nautilus & gedit, in those the defined 'selected_bg' isn't used, here it is a dark color
Also am seeing the same as htorque) & jibel though I went ahead & fixed that here so that all user menus/sub-menus are ok (probably a bit aggressively, possibly with ill-advised edits though it does have intended results with the current state of Ambiance

Ken VanDine (ken-vandine) wrote :

Cimi, can you look into the submenu issue?

Changed in light-themes:
assignee: nobody → Andrea Cimitan (cimi)
status: New → Confirmed
Andrea Cimitan (cimi) wrote :

Not a bug in light-themes, but in unity.
A workaround for light-themes is present here https://code.launchpad.net/~cimi/light-themes/hack-menu-color-unity but I prefer to fix the bug in unity instead

Changed in light-themes (Ubuntu Precise):
status: Triaged → Invalid
Changed in light-themes:
status: Confirmed → Invalid
Omer Akram (om26er) on 2012-02-06
Changed in unity:
status: New → Confirmed
Doug McMahon (mc3man) wrote :

The 'workaround' only fixes some of the problems so isn't quite suitable anyway (FF, TB sub-menus, sudo window menus, "location" wrong color in nautilus if using that option, & more as bugged elsewhere

As I noted on duplicate bug 933917, Radiance is also affected, not just Ambiance. If you look closely, you can see that the white used for some menus / submenus in Radiance are not the same white as what is supposed to be used. Those are the same menus affected under Ambiance. (A screenshot meant to point this out is provided on the aforementioned bug report in comment #2.)

Vadim Rutkovsky (roignac) wrote :

Works fine in gnome-shell with light-themes 0.1.8.29-0ubuntu2. The only exception is FF

Pavlo Bohmat (bohm) wrote :

After the latest light-themes update today the menus for Ambiance in Unity: OK, but in fluxbox: FAIL all programs...

Settings (see screenshot) previously worked and the theme was the same for wm/de. Now there is. + Main menu programs gtk3 gray font. Or is it my fault?

Rocko (rockorequin) wrote :

Also, *right-button* menus everywhere (eg in nautilus, FF, gnome-terminal) display incorrectly for me in Unity.

Carlos Pena (carlos-pena) wrote :

For me the context menus are using a black text over light background theme, instead of the original white text over dark background.
Is this intended or is it a bug? Because I personally don't see why context menus should differ from normal menus in style.

it`s a bug, same here

André Lopes (zipatei) wrote :

http://imageshack.us/photo/my-images/11/91842098.png/

Same here just in right click menu.

Andrea Cimitan (cimi) wrote :

the right click menu is expected to be light.

on unity, putting to incomplete cause we don't know the cause yet

Changed in unity:
status: Confirmed → Incomplete
Andrea Cimitan (cimi) wrote :

and there is a workaround in the theme

lizezhigrass (cxyzlizezhi) wrote :

Reset The Compizconfig to default and all your problem will be fixed.

Doug McMahon (mc3man) wrote :

So I guess it's like this?
context menus are to be light now - no bug

app & indicator menus, sub menus are to be dark, most are, a few aren't - should be fixed

If one chooses not to use not to use global menus then menus/sub menus may be dark, may be light - too bad

Some apps that don't support global menus or are gtk2 will likely have light menus/sub menus, Ex. synaptic or FF without global menus - too bad?

Andrea Cimitan (cimi) wrote :

> app & indicator menus, sub menus are to be dark, most are, a few aren't - should be fixed

which ones?

Doug McMahon (mc3man) wrote :

Andrea -
sorry - I assumed (wrongly?) that some where still saying some submenus are light, at least here I've seen none from the appmenus

I've only 1 case where a top menu is dark & a sub menu is light, but that's not your problem if I choose to run audacious with in window menus

Who in their right mind decided that light right click menus was good
taste? Is the goal to punish users who spend most of their lives in a
dark terminal? To punish programmers? To punish anybody who doesn't
like such contrasting design decisions? I just don't understand who
could have approved such a decision and where this false sense of good
design came from. Seriously what is going on over there?

Andrea Cimitan (cimi) wrote :

Good design is having light menus coming from light-elements. Apart from gnome-terminal which is a particular case, it is consistent between all apps. Only menus from unity panel and toolbar buttons are dark because they are created from dark elements.

GNOME Classic is affected by this in its Places menu. See attached screenshot.

Also, if light menus are supposed to come from light elements, then why is every application menu in GNOME Classic light when the menu bar it comes down from is dark?

I know this isn't Unity, much less installed by default, but it would be nice to have the same visual consistency there as well.

Jordon Bedwell (envygeeks) wrote :

@andrea so just one question. Will the final goal be that dark
sources create dark context menus and light sources create light
context menus? If that's the case I'm down for that but the only thing
that is catching me as possibly eye fracturing is the possible white
context menu on dark places (even websites count here.)

Doug McMahon (mc3man) wrote :

Christopher -
That may just be a bit of a bug, I'm sure Andrea could tell

What may indicate is if you log in to a Classic session & explicitly set or unset a gtk color define then the places menu works fine for that session. When re-logging in then it returns to as you've shown, then doing the opposite from previous session will 'fix'
So like - session 1 set, (assuming it hasn't been previously

gsettings set org.gnome.desktop.interface gtk-color-scheme "selected_bg_color:#f07746"

session 2 unset
gsettings set org.gnome.desktop.interface gtk-color-scheme ""

Ect., ect.

Doug McMahon (mc3man) wrote :

There is one thing coming out of the panel that's light, that would be the systray. menus from there are a light background & seem to use the selected_bg from gtk3 & the selected_fg from gtkrc

Pavlo Bohmat (bohm) wrote :

Fluxbox+Ambiance:
What need to change in gtk-color-scheme, so that the font color on the menu bar in programs gtk3 was white, not gray? Pls, fix it!
How to make the background of popup-menu by right mouse button and the systray dark?

Unity+Ambiance:
What need to change in gtk-color-scheme, the background to popup-menu by right mouse button was dark?

Before all display the same in unity and fluxbox, the settings are not changed... :(

Andrea Cimitan (cimi) wrote :

I guess is a bug in fluxbox

Leszek (bigl-aff) wrote :

I've the same effect aftwer upgrading to 12.04 Beta1 2 days ago. I'm using GNOME Classic (no effects). I can clearly see that it's theme problem - when I change it to any other menus change.

For comparison I've installed GnomishDark theme from http://gnome-look.org/content/show.php/GnomishDark?content=147290 and it looks 100% OK (dark menus). So maybe Ambiance developers should take a look at GnomishDark theme to see how it should be done.

Leszek (bigl-aff) wrote :

I can also add that right now on fully updated 12.04 this bug affects:
- main menu applet (whole menu with submenus)
- all right-click menus
- "Places" menu (but only submenus)

But whole "Programs" menu is OK (including submenus).

Otus (jan-varho) wrote :

What color are the context menus from window titles and desktop background supposed to be? White here, with Unity 3D and Ambiance, and looking seriously out of place.

Doug McMahon (mc3man) wrote :

On 03/21/2012 01:02 PM, Otus wrote:
> What color are the context menus from window titles and desktop
> background supposed to be? White here, with Unity 3D and Ambiance, and
> looking seriously out of place.
>
window title & other gtk 2 menus like synaptic, firefox without global,
ect. should be dark. That's quite fixable, (gtkrc)
The desktop context menu should be light & are.

Otus (jan-varho) wrote :

On Wed, Mar 21, 2012 at 8:05 PM, Doug McMahon wrote:
> window title & other gtk 2  menus like synaptic, firefox without global,
> ect.  should be dark. That's quite fixable, (gtkrc)

Is this bug still the one tracking it, and if so why is it marked incomplete?

//Good design is having light menus coming from light-elements.//

Oh really? Says who? I must have missed this commandment.

But if you're going to be consistent, then it should be noted that I use dark themes in firefox and other apps and that Unity(?) nevertheless insists on light menus - clearly in violation of your proclamation.

Anyway, the light context menus continue to be an ongoing bug in 12.04. From what I can tell, all menus and submenus are light, by fiat, regardless of the "lightness" or "darkness" of their originating elements. Can't we just have some consistency here? - either light *or* dark?

Andrea Cimitan (cimi) wrote :

On 03/21/2012 08:23 PM, Patrick Gillespie wrote:
> //Good design is having light menus coming from light-elements.//
>
> Oh really? Says who? I must have missed this commandment.
>
> But if you're going to be consistent, then it should be noted that I use
> dark themes in firefox and other apps and that Unity(?) nevertheless
> insists on light menus - clearly in violation of your proclamation.
You are using custom themes for firefox and other apps, so that's not a
bug on the default experience.

--
Andrea Cimitan
Software Engineer
Canonical UK Ltd.

21-24 Millbank | Floor 27 Millbank Tower | London | SW1P 4QP

ubuntu.com | canonical.com

//You are using custom themes for firefox and other apps, so that's not a
bug on the default experience.//

Yes, but it violates your own standards and is a bug "on the aesthetic experience". Right? If users are using a dark theme like Ambiance, then the majority of them are also probably using dark themes elsewhere. If it's working the way it's "supposed" to work, but still looks bad, then it's still a bug.

Andrea Cimitan (cimi) wrote :

On 03/21/2012 09:19 PM, Patrick Gillespie wrote:
> //You are using custom themes for firefox and other apps, so that's not a
> bug on the default experience.//
>
> Yes, but it violates your own standards and is a bug "on the aesthetic
> experience". Right? If users are using a dark theme like Ambiance, then
> the majority of them are also probably using dark themes elsewhere. If
> it's working the way it's "supposed" to work, but still looks bad, then
> it's still a bug.
>
the theme is designed to work with ambiance and only ambiance, no other
user themes are supported, meaning that they could work or not.
technically is not possible to understand which color the menu belongs
to, but it only assumes the color from the position of the widget, so if
the widget is a menubar or in the toolbar the color is dark cause in
ambiance those widgets are dark.

//technically is not possible to understand which color the menu belongs
to...//

ok, to default to a light menu rather than a dark menu is *therefore* (because there's no way of knowing whether the menu is coming from a light or dark element) completely arbitrary and capricious. I mean, I get the sense that minds are made up. I don't like it. It looks bad (to me), but so be it. Moving on...

Jordon Bedwell (envygeeks) wrote :

Ubuntu looks like trash with a white menu on a dark theme regardless of
where it is placed or where it is sourced from or whatever the
justification is. It's an ignorant design decision and any designer who
would stand for such an ugly mark should not be designing. I know I'm
being harsh here but this is clearly the work of somebody who knows
nothing about /real/ design, or who likes to cause people eyestrain, or
who likes to troll.

Adolfo Jayme (fitoschido) wrote :

People start to get rude...

Changed in unity:
status: Incomplete → Invalid
Jordon Bedwell (envygeeks) wrote :

Don't mark a bug as invalid just because you think you can. This bug is still affecting people and there are still issues going on regardless of the bad design decision there are still obvious bugs. I find it ironic you call somebody rude and then go and do something like that.

Changed in light-themes (Ubuntu Precise):
status: Invalid → Incomplete
Adolfo Jayme (fitoschido) wrote :

Well, I believe that when somebody start yelling at bug reports that a designer is ignorant and makes bad design decisions because he doesn't know anything, is an indicator of being rude and having nothing of respect towards toe work of others.

Changed in light-themes (Ubuntu Precise):
status: Incomplete → Invalid
Jordon Bedwell (envygeeks) wrote :

Nobody cares what you believe. A persons attitude and opinion (read opinion, you know what that means yes?) does not dictate whether a bug is legit or not. Go see a shrink if you have personal problems with a way a person acts and don't close a legit bug because you have issues with the way people are talking. This is NOT your bug, and you are NOT the developer. You are just being an asshole now, just like we were, actually at this point, you are no better than us, and maybe even worse, but I don't just people like you and get butt hurt and start closing bugs for no reason just because I 'had a problem with the way people are talking'. Get the fuck over yourself.

Changed in light-themes (Ubuntu Precise):
status: Invalid → Incomplete
Mark East (feasty) wrote :

What on earth are you two doing?!!!!

Hernando Torque (htorque) wrote :

Jordon, comment #27 clearly states that right-click menus are intended to be light, and the light sub-menus have been fixed in the meantime.

It's fine if you disagree with design decisions, but a bug report is the wrong place for discussion. Every time you post something, all subscribed users might get notified by mail, which can be quite annoying in cases like this, where the bug is fixed.

I suggest using the unity-design mailing list.

Changed in light-themes (Ubuntu Precise):
status: Incomplete → Invalid

I think a lot of friction is arising here because people are not agreeing on what is the actual bug here: the fact that menus coming from light elements in Ambiance are now also light (which, as Hernando states, is by design and not actually a bug at all), or that light (sub)menus are appearing where they shouldn't be based on this design change (see my comment #35 above for example).

Perhaps the bug title/description need to be clarified so we can focus on actual issues where menus are inconsistent with the new design, and not just engage in a flamewar over the intended design change itself. The latter is unproductive and inappropriate for a bug report.

Andrea Cimitan (cimi) wrote :

I had all the info I need regarding this bugreport, you can stop comments.

Andrea, you said there was a workaround and provided that link. Do you provide any information as to how to apply that workaround?

Andrea Cimitan (cimi) wrote :

Workaround is already applied in precise. What you see now is what will land in 12.04

philinux (philcb) wrote :

This is what Firefox awesome bar looks like. This is ambiance theme.

Not awesome, hideous I think.

Andrea Cimitan (cimi) wrote :

You're using a dark personas/theme. At default is right.

I will unsubscribe myself from this bug.

Changed in light-themes:
assignee: Andrea Cimitan (cimi) → nobody
Ivan (trurl-master) wrote :

Is it really not possible to get background color of an app? So that dark background in an app create dark context menu.
Most of my time i spend in editors with dark backgrounds and white context menus is really frustrating for me :\
If not - how i can force context menus to be dark manually?

Andrea Cimitan (cimi) wrote :

It's not possible, otherwise I would have done it :(
You need to patch ambiance, maybe someone could play with it, it's surprisingly easy.

description: updated
Jordon Bedwell (envygeeks) wrote :

Please do not update my description as that is the description that affected me if you are having something similar but different add your own comment, do not update mine as if I am having the same issue.

Thanks.

franco_bez (franco-bez) wrote :

I came to find this bug report because this mix of light and dark menus seemed to be a bug to me.

Now I learned that this seems to be an intended design change - dark menus from dark elements, light menus from light elements.

Anyway I personally do not like this. It still looks like a bug to me.

There should be a configuration option for this, so the user may chosse between
- Light menus only
- Dark menus only
- Light Menus from light elements, dark menus from dark elements

I feel that this is the only way to serve both fractions, those that like the design change and want to keep it, and those who think it's a bug and want their dark menus anywhere.

Andrew Hayzen (andrew-hayzen) wrote :

Hi

You stated above that light sources should create a light menu and a dark creates a dark menu, I like that idea. However when right clicking on the title bar, with a dark theme, I am presented with a light menu. This looks out of place and should change with the theme. I have attached an image displaying the issue.

I hope this hasn't been mentioned already.

Many thanks,

Andy

Carlos Pena (carlos-pena) wrote :

Hi!

Eclipse menus are white. I suppose that would be a bug, wouldn't it?

>Please do not update my description as that is the description that affected me if you are having something similar but different >add your own comment, do not update mine as if I am having the same issue.
>
>Thanks.

Sorry, I have no idea how that happened.

Stan Angeloff (stanangeloff) wrote :

I came here to report this as a bug as well. This is clearly very inconsistent as already pointed out by several posters before me:

* Dark titlebar menus are while
* Desktop menus are white, even if the background is dark
* Custom themes are obviously not supported in third-party software, breaking the design decision early on
* Dark toolbar menus in nautilus are white

I'd be very grateful if someone can point me to the commit(s) where this was introduced. I am more than happy to revert locally and compile a more 'pleasing' and consistent theme for myself. Any tips how this 'surprisingly easy' task can be accomplished would be very welcomed.

Having a mixture of white/dark menus which try to follow some well-defined rules, but fail at every most case is not what I want for my everyday OS.

Rocko (rockorequin) wrote :

Was it even an intentional change that caused this? A couple of months ago I added some extra PPAs in Oneiric so I could upgrade from the GIMP PPA, and the dark menus broke in exactly the same way that they are now broken in Precise. The extra PPAs were gnome-shell-centric, so I assumed at the time that something had changed upstream in Gnome that broken dark menus in Ubuntu.

Pavlo Bohmat (bohm) wrote :

>if someone can point me to the commit(s) where this was introduced.
after light-themes_0.1.8.27.1

Stan Angeloff (stanangeloff) wrote :

@bohm, Thanks Paul, I downloaded the Bazaar repository and there are several commits which tweak menus (mostly interested in the GTK3 changes).

I've had numerous attempts to revert or merge side-by-side but I always end up with a semi-working theme. It's either the combo boxes going black with grey text or menu items having rounded corners. It is a tough one and I'll have to spend more time on it over the weekend. For those interested, changes start in r177.

Terry Zhou (zhouxc) wrote :

I just updated from 11.10 to 12.04, after upgrade, I found the menu is suddenly changed to light one while I am still using the ambiance them. This is not acceptable to me. I spent few months to get familiar with ambiance theme when it comes in previous release and I like it very much now. It's really a bad to impact a lot of users here and the problem hasn't been fixed for two months since it's reported. If you want to change the theme, please add a light theme instead of the default one. I can't accept the default theme has been changed for each release.

Please give us a patch or fix this in GA release. Or else I am not the last one to complain this. Everything is so good for upgrade except this one.

Changed in light-themes (Ubuntu Precise):
status: Invalid → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in light-themes (Ubuntu):
status: New → Confirmed
Mark East (feasty) wrote :

The discussion states that light menus are supposed to come from dark backgrounds and vice versa but if I change the theme to Radiance it still produces the light menus even though the backgrounds are now light. It doesn't seems to take into account which theme you are using.

Stan Angeloff (stanangeloff) wrote :

@feasty: think you got it a bit mixed up, here is what the author states:

> Good design is having light menus coming from light-elements. [..] Only menus from unity panel and toolbar buttons are dark because they are created from dark elements.

So in Radiance light menus would be expected from light backgrounds. Still doesn't explain all the inconsistencies in Ambiance or the unwillingness for a proper discussion with affected Users by the author.

Doug McMahon (mc3man) wrote :

On 04/25/2012 03:38 AM, Stan Angeloff wrote:
> @feasty: think you got it a bit mixed up, here is what the author
> states:
>
>> Good design is having light menus coming from light-elements. [..]
> Only menus from unity panel and toolbar buttons are dark because they
> are created from dark elements.
>
> So in Radiance light menus would be expected from light backgrounds.
> Still doesn't explain all the inconsistencies in Ambiance or the
> unwillingness for a proper discussion with affected Users by the author.
>
The vast majority of the "inconsistencies" are from gtk2 (gtkrc), the
gtk3 side works here as expected with a few 'obscure' exceptions. From
gtkrc it seems that it is either all dark or all light, if so, then it's
been chosen to go with all light.

At least from my perspective that's a bug, was filed here separately, &
wasn't hard to switch back to all dark though with limited theming
knowledge couldn't get both light & dark
Bug 961679

As far as 'proper discussion' there was plenty of it, reached a point
where is was nothing more to be said that hasn't been already.

Stan Angeloff (stanangeloff) wrote :

@mc3man: I wouldn't call not playing nice with others 'obscure'. The decision to go with both dark/light menus should have taken into account software that can be themed, e.g., Firefox, Thunderbird, etc. A lot of these will now result in having oddly coloured menus which would in turn be reported as bugs back on this tracker or worse, the developers of that software would have to make exceptions for Ubuntu.

The titlebar case is the most prominent one as it violates all conventions, regardless of its origins, e.g., gtk2/3.

Ubuntu even doesn't play nice with itself. The expectation that light menus appear from light sources breaks the moment the wallpaper on the desktop is switched to dark.

This carries on to built-in apps such as `nautilus` where the path toolbar, despite being dark, 'gives off' light menus.

So, in summary, someone came up with a perfectly viable idea, I wouldn't say I don't like it. The idea was executed, but not without its flaws... some more obvious than others. The issues haven't been addressed, worse they haven't been acknowledged as such hence no further constructive feedback can be given, thus the lack of a good discussion.

With Precise hitting the mainstream tomorrow, Users are going to receive a half-baked theme which doesn't respond to any expectation. Menus would, in reality, give off random colours.

I have limited knowledge about authoring themes as well, but I'm not giving up that easily. Hopefully soon enough someone, not Canonical, would come up with an alternative and we can all rejoice.

/rant done

12.04 final still has the light context-menues

In case you haven't already read the previous comments:

1.) The light context-menus are deliberate..
2.) The concerned developers have evinced little interest in changing that decision.
3.) They do not consider this a bug.
4.) I personally haven't found a workaround to this aesthetic decision - (except to use another DE).

Changed in light-themes (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
Changed in light-themes (Ubuntu Precise):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
Andrea Cimitan (cimi) on 2012-04-27
Changed in light-themes (Ubuntu):
status: Confirmed → Opinion
Changed in light-themes (Ubuntu Precise):
status: Confirmed → Opinion

If it was a 'design-decision', I respect it. However, I really think that is doesn´t help Ubuntu to get a 'fresh' or a 'good' look. So, is there a way to change the default options and restore Ambiance to it's 'Oneiric appearance'? It would really be appreciated.

Pavlo Bohmat (bohm) wrote :

>So, is there a way to change the default options and restore Ambiance to it's 'Oneiric appearance'?
sudo dpkg -i light-themes_0.1.8.25_all.deb (Oneiric)+lock

sovaby (sovaby) wrote :

thank you
sudo dpkg -i light-themes_0.1.8.25_all.deb

Stan Angeloff (stanangeloff) wrote :

0.1.8.25 is very old (2011-09-20) and was released at revision 167 of light-themes. There have been more than 50 commits since that version, incl. making controls in inactive windows less prominent.

I'll post an updated Ambiance theme on GitHub (https://github.com/StanAngeloff/AmbianceOneiric) in a few moments time, it is the stock 12.04 theme with changes for light menus reverted (every other improvement has been kept).

Stan's modification works great, thanks!

I want *more* things to be white-on-dark, not less. I care about my eyes.

Yes, stan's mods work flawlessly and restore the look & feel of OneIric menus. Thanks Stan!

Vladimir Znak (init-sub) wrote :

That was a very strange decision to change the colors in default theme in LTS release. Thanks you, Stan, that's exactly what I (and a lot of people) want.

Pavlo Bohmat (bohm) wrote :

stanangeloff, thank you very much! works fine in fluxbox (ala Oneiric)! It should have been in the LTS...

Rocko (rockorequin) wrote :

Thanks, Stan! It works great!

alex (aarw2) wrote :

I see this is marked as opinion. I believe that is incorrect since it is a bug on low resolution monitors such as netbook. The default font is grey rather than black, so the grey on white superimposed on e.g. a text background is extremely difficult to see. So whilst the new effect might work great on a top quality monitor, on a lower end monitor the combination of the greyish font and white background is definitely a bug. When I am typing this in the browser the background is white and the text is black, I then for example I open the spell check menu with a right click and I get greyed out text that is very very hard to read, compared to the sharp white on black of the previous theme. This is a usability bug. The potential resolutions are, make default text for menus black, or my preference, revert to the all dark theme. However, no change is not an option as this is very hard to read in its current form.

Alex, if you think it's a bug, then you should change it from Opinion to Bug.

Pavlo Bohmat (bohm) wrote :

This is a bug, not an opinion! By WM terrible problems with the theme Ambiance: pop gtk3 and gtk2 applications are different, in the system tray popup ala Radiance. Please fix this. In unity and fluxbox default view should be the same. Make any design gtk, but the same for all de/wm

To post a comment you must log in.